commit:     5b60b1ed0e5faf22ad562489a5046d523ff701cf
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 13 06:52:38 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Wed Sep 13 07:27:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b60b1ed

media-plugins/grilo-plugins: version bump 0.3.4 → 0.3.5

Add missing gdbus-codegen dependency, Add missing dleyna-server
dependency, bug #566164. Add dbusmock unittests support.

Closes: https://bugs.gentoo.org/show_bug.cgi?id=566164
Package-Manager: Portage-2.3.8, Repoman-2.3.3

 media-plugins/grilo-plugins/Manifest               |   1 +
 .../grilo-plugins/grilo-plugins-0.3.5.ebuild       | 132 +++++++++++++++++++++
 2 files changed, 133 insertions(+)

diff --git a/media-plugins/grilo-plugins/Manifest 
b/media-plugins/grilo-plugins/Manifest
index 49895dd3d8a..aeb04aa30fe 100644
--- a/media-plugins/grilo-plugins/Manifest
+++ b/media-plugins/grilo-plugins/Manifest
@@ -1,2 +1,3 @@
 DIST grilo-plugins-0.2.17.tar.xz 1036308 SHA256 
337669098cddf64a84fa9398aa1d7f994fea84bc5f7f1b348e1288f135713781 SHA512 
f556ae6e72c82ce74cc8902f7b4ae27f51060c3b06230989b36ce4498f93894c723809c1f08fc8edfabd892fc303eb0523f21ea72649f644c7eb421b62773140
 WHIRLPOOL 
f882ba3ef6ee4b7a1c115992dedd03778155d1ef4fa26077b7f482f5ab7bd5087e6d8485912bbd2563af3b0ef3e387169c1217b8f0427637aa1a9aa88e94df7c
 DIST grilo-plugins-0.3.4.tar.xz 1879324 SHA256 
990282a518968c52f6a67b96c6b708e236a59da1c7c920ed45e6316ab49ddeb5 SHA512 
690e016f4e24894bce8e8a3535898e6a5553fbe725efe539f771867d5a246a2d86e52641cc21696a7ea9da506ab72735db26d40e8aa6e738b818fda81d9d5575
 WHIRLPOOL 
a61f744605047e98f7c375dd4a8ad23a533cc86e24801138da00d74e2adcc53d7ec6f0c07da3bddf89f707c5bd94697722906aecaebb32ef212e28beede2bcea
+DIST grilo-plugins-0.3.5.tar.xz 1881080 SHA256 
2977827b8ecb3e15535236180e57dc35e85058d111349bdb6a1597e62a5068fb SHA512 
3420b18d5d938559b75ae41199a6a79dfa5a8a43d2b29631f7cb03c28df569627be610a4087514240c3413e476fa76def3ee7a1b065b5104679b788b633a5b0e
 WHIRLPOOL 
f69844f8cf169602439d40e179910e84fafff3d67a1577b09e5d5cf6ac51592f1db60727b2e3b7bde2e7c89ae00fe72625d217eca4504ae48307dbe0c44c8f71

diff --git a/media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild 
b/media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild
new file mode 100644
index 00000000000..dced7020880
--- /dev/null
+++ b/media-plugins/grilo-plugins/grilo-plugins-0.3.5.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit gnome2 python-any-r1
+
+DESCRIPTION="A framework for easy media discovery and browsing"
+HOMEPAGE="https://wiki.gnome.org/Projects/Grilo";
+
+LICENSE="LGPL-2.1+"
+SLOT="0.3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc"
+IUSE="daap dvd examples chromaprint flickr freebox gnome-online-accounts lua 
subtitles test thetvdb tracker upnp-av vimeo +youtube"
+
+# Bump gom requirement to avoid segfaults
+RDEPEND="
+       >=dev-libs/glib-2.44:2
+       >=media-libs/grilo-0.3.1:${SLOT}=[network,playlist]
+       media-libs/libmediaart:2.0
+       >=dev-libs/gom-0.3.2
+
+       dev-libs/gmime:3.0
+       dev-libs/json-glib
+       dev-libs/libxml2:2
+       dev-db/sqlite:3
+
+       chromaprint? ( media-libs/gstreamer:1.0 )
+       daap? ( >=net-libs/libdmapsharing-2.9.12:3.0 )
+       dvd? ( >=dev-libs/totem-pl-parser-3.4.1 )
+       flickr? ( net-libs/liboauth )
+       freebox? ( net-dns/avahi )
+       gnome-online-accounts? ( >=net-libs/gnome-online-accounts-3.17.91:= )
+       lua? (
+               >=dev-lang/lua-5.3
+               app-arch/libarchive
+               dev-libs/libxml2:2
+               >=dev-libs/totem-pl-parser-3.4.1 )
+       subtitles? ( net-libs/libsoup:2.4 )
+       thetvdb? (
+               app-arch/libarchive
+               dev-libs/libxml2 )
+       tracker? ( >=app-misc/tracker-0.10.5:= )
+       youtube? (
+               >=dev-libs/libgdata-0.9.1:=
+               >=dev-libs/totem-pl-parser-3.4.1 )
+       upnp-av? (
+               net-libs/libsoup:2.4
+               net-libs/dleyna-connector-dbus
+               net-misc/dleyna-server )
+       vimeo? (
+               >=dev-libs/totem-pl-parser-3.4.1 )
+"
+DEPEND="${RDEPEND}
+       app-text/docbook-xml-dtd:4.5
+       app-text/yelp-tools
+       >=dev-util/gdbus-codegen-2.44
+       >=dev-util/intltool-0.40.0
+       virtual/pkgconfig
+       lua? ( dev-util/gperf )
+       upnp-av? ( test? (
+               ${PYTHON_DEPS}
+               $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]') ) 
)
+"
+
+python_check_deps() {
+       use upnp-av && use test && has_version 
"dev-python/dbusmock[${PYTHON_USEDEP}]"
+}
+
+pkg_setup() {
+       use upnp-av && use test && python-any-r1_pkg_setup
+}
+
+src_prepare () {
+       gnome2_src_prepare
+       sed -e 
"s:GETTEXT_PACKAGE=grilo-plugins$:GETTEXT_PACKAGE=grilo-plugins-${SLOT}:" \
+               -i configure.ac configure || die "sed configure.ac configure 
failed"
+}
+
+# FIXME: some unittests required python-dbusmock
+src_configure() {
+       # --enable-debug only changes CFLAGS, useless for us
+       # Plugins
+       # shoutcast seems to be broken
+       gnome2_src_configure \
+               --disable-static \
+               --disable-debug \
+               --disable-uninstalled \
+               --enable-bookmarks \
+               --enable-filesystem \
+               --enable-gravatar \
+               --enable-jamendo \
+               --enable-local-metadata \
+               --enable-magnatune \
+               --enable-metadata-store \
+               --enable-podcasts \
+               --enable-raitv \
+               --disable-shoutcast \
+               --enable-tmdb \
+               $(use_enable chromaprint) \
+               $(use_enable daap dmap) \
+               $(use_enable dvd optical-media) \
+               $(use_enable flickr) \
+               $(use_enable freebox) \
+               $(use_enable gnome-online-accounts goa) \
+               $(use_enable lua lua-factory) \
+               $(use_enable subtitles opensubtitles) \
+               $(use_enable thetvdb) \
+               $(use_enable tracker) \
+               $(use_enable upnp-av dleyna) \
+               $(use_enable vimeo) \
+               $(use_enable youtube)
+}
+
+src_install() {
+       if use examples; then
+               docinto examples
+               doins help/examples/*.c
+       fi
+
+       gnome2_src_install \
+               DOC_MODULE_VERSION=${SLOT%/*} \
+               HELP_ID="grilo-plugins-${SLOT%/*}" \
+               HELP_MEDIA=""
+
+       # The above doesn't work and collides with 0.2 slot
+       mv "${ED}"/usr/share/help/C/examples/example-tmdb{,-0.3}.c || die
+       mv "${ED}"/usr/share/help/C/grilo-plugins/legal{,-0.3}.xml || die
+       mv "${ED}"/usr/share/help/C/grilo-plugins/grilo-plugins{,-0.3}.xml || 
die
+}

Reply via email to